Bug 1395368 - Review Request: golang-github-spf13-nitro - Quick and easy performance analyzer library for golang
Summary: Review Request: golang-github-spf13-nitro - Quick and easy performance analyz...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Frederico Lima
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2016-11-15 19:38 UTC by Athos Ribeiro
Modified: 2017-04-04 16:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:03:10 UTC
Type: ---
fredhgl: fedora-review+


Attachments (Terms of Use)

Description Athos Ribeiro 2016-11-15 19:38:20 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-spf13-nitro.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-spf13-nitro-0-0.1.git24d7ef3.fc26.src.rpm
Koji build:

Description: Nitro is a quick and easy performance analyzer library for golang. It is useful for comparing A/B against different drafts of functions or different functions.

Fedora Account System Username: athoscr

Note that the README file ha a changelog section describing versions, but there are no tags nor branches in the repository, so I prefered not specifying a version for the package, basing it on the package releases and upstream commits, as other golang packages.

upstream ships no test suite, so there's no unit-test package nor a %check section in the spec file.

Comment 1 Frederico Lima 2017-03-18 14:55:20 UTC
Package looks good.
Approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-spf13-nitro-devel-0-0.1.git24d7ef3.fc25.noarch.rpm
          golang-github-spf13-nitro-0-0.1.git24d7ef3.fc25.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-spf13-nitro-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-spf13-nitro-devel:
    golang(github.com/spf13/nitro)
    golang-github-spf13-nitro-devel



Source checksums
----------------
https://github.com/spf13/nitro/archive/24d7ef30a12da0bdc5e2eb370a79c659ddccf0e8/nitro-24d7ef3.tar.gz :
  CHECKSUM(SHA256) this package     : b969975611fe0997afa72737ad662c704a2708c6927d30ff4f50b4f45c16faf0
  CHECKSUM(SHA256) upstream package : b969975611fe0997afa72737ad662c704a2708c6927d30ff4f50b4f45c16faf0

Comment 2 Athos Ribeiro 2017-03-18 14:58:46 UTC
Thanks for the review :)

Comment 3 Gwyn Ciesla 2017-03-20 12:58:28 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-spf13-nitro

Comment 4 Fedora Update System 2017-03-20 14:41:44 UTC
golang-github-spf13-nitro-0-0.1.git24d7ef3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed85f14bfb

Comment 5 Fedora Update System 2017-03-21 14:25:07 UTC
golang-github-spf13-nitro-0-0.1.git24d7ef3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed85f14bfb

Comment 6 Fedora Update System 2017-04-04 16:03:10 UTC
golang-github-spf13-nitro-0-0.1.git24d7ef3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.